/*
Hanoi tower recursion program

 
MVEB22
 
*/

#include <stdio.h>

void move(int number, char source,char buf,char dest);

void main(void){
    int number;
    printf("Enter number of disks to rearrange...\n");
    scanf("%i", &number);
    move(number, 'A', 'B', 'C');
    return 0;
}

void move(int disk, char source, char dest, char buf){
    if(disk==1){
        printf("Moving disk %i from peg %c to peg %c\n", disk, source, dest); //if it is the last disk to be placed
    }
    else{ //repeats one move over and over (taking from source, putting to destination, then taking from source, putting to buff, then stacking those two together
        move(disk-1, source, buf, dest);
        printf("moving disk %i from peg %c to peg %c\n", disk, source, dest);
        move(disk-1, buf, dest, source);
    }
}
